docs.fusial

List obligations

GET
/obligations
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Query Parameters

status?array<>

Filter by status. Repeat for multiple values.

kind?array<>

Filter by kind. Repeat for multiple values.

counterpartyId?string
q?string
page?integer

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/obligations"
{
  "data": [
    {
      "id": "string",
      "contractId": "string",
      "kind": "RENEWAL_NOTICE",
      "title": "string",
      "description": "string",
      "sourceText": "string",
      "source": "AI",
      "status": "PENDING_ANCHOR",
      "anchorType": "EFFECTIVE_DATE",
      "offsetValue": 0,
      "offsetUnit": "DAY",
      "offsetDirection": "BEFORE",
      "fixedDate": "2019-08-24T14:15:22Z",
      "recurrenceMonths": 0,
      "resolvedDate": "2019-08-24T14:15:22Z",
      "resolutionBasis": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "page": 0,
  "pageSize": 0,
  "total": 0,
  "pageCount": 0
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "Invalid request input.",
    "details": {
      "issues": [
        {
          "path": "title",
          "message": "String must contain at least 1 character(s)"
        }
      ]
    }
  }
}